| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
dcbuffer.h File Reference

## Classes

class | wxBufferedDC
| This class provides a simple way to avoid flicker: when drawing on it, everything is in fact first drawn on an in-memory buffer (a wxBitmap) and then copied to the screen, using the associated wxDC, only once, when this object is destroyed. More...
class | wxAutoBufferedPaintDC
| This wxDC derivative can be used inside of an `EVT_PAINT()` event handler to achieve double-buffered drawing. More...
class | wxBufferedPaintDC
| This is a subclass of wxBufferedDC which can be used inside of an `EVT_PAINT()` event handler to achieve double-buffered drawing. More...

## Macros

#define | wxBUFFER_VIRTUAL_AREA 0x01
#define | wxBUFFER_CLIENT_AREA 0x02
#define | wxBUFFER_USES_SHARED_BUFFER 0x04

## Functions

wxDC * | wxAutoBufferedPaintDCFactory (wxWindow *window)
| Check if the window is natively double buffered and will return a wxPaintDC if it is, a wxBufferedPaintDC otherwise.

## Macro Definition Documentation

#define wxBUFFER_CLIENT_AREA 0x02

#define wxBUFFER_USES_SHARED_BUFFER 0x04

#define wxBUFFER_VIRTUAL_AREA 0x01

## Function Documentation

wxDC* wxAutoBufferedPaintDCFactory | ( | wxWindow * | window | ) |

Check if the window is natively double buffered and will return a wxPaintDC if it is, a wxBufferedPaintDC otherwise.

It is the caller's responsibility to delete the wxDC pointer when finished with it.